# -*- coding: euc-jp -*-
require "numru/ggraph"
include NumRu


path    = ARGV[0]
vname   = ARGV[1]
plevtop = ARGV[2].to_f
iyr     = ARGV[3].to_i
lss     = ARGV[4].to_i
lse     = ARGV[5].to_i


# color map
#DCL.sgscmn(5)  # grey scale
#DCL.sgscmn(14) # blue-white-red

gphys = GPhys::NetCDF_IO.open(path, vname)

timedimname = gphys.axis(3).name
##timedimname = gphys_disp.axis(3).name
##ls = gphys_disp.axis(timedimname).pos.val
##ls = ls - 360*(iyr-1)
##gphys_disp.axis(timedimname).set_pos(VArray.new(ls,nil,"Ls"))
#ls = gphys_disp.axis(timedimname).pos - 360*(iyr-1)
#gphys_disp.axis(timedimname).set_pos(ls)
gphys = gphys.cut(timedimname=>(lss+360*(iyr-1))..(lse+360*(iyr-1)))
gphys = gphys.mean(timedimname).mean('lon')

levdimname = gphys.axis(1).name
#gphys_disp = gphys_disp.cut(levdimname=>1e3..1e1)
gphys = gphys.cut(levdimname=>1e3..plevtop)

gphys_disp = gphys.copy


if vname == 'DustDensScledOptDep'
  gphys_disp = gphys_disp / 2.0
  gphys_disp = gphys_disp * 1e4
  gphys_disp.long_name = "dust density-scaled optical depth at infrared"
  gphys_disp.units = "1e-4 m2 kg-1"
end

rmiss = gphys_disp.get_att('missing_value')[0]
DCL.glpset('lmiss',true)
DCL.glpset('rmiss',rmiss)


#DCL.gropn(1)
DCL.gropn(2)
#DCL.sldiv('y',2,2)
DCL.sgpset('lcntl', false)
DCL.sgpset('lfull',true)
DCL.uzfact(0.75)
DCL.sgpset('lfprop',true)

#GGraph.set_fig 'viewport'=>[0.15,0.85,0.2,0.6], 'window'=>[ls[0],ls[ls.shape[0]-1],-90,90]
#GGraph.set_fig 'itr'=>2, 'viewport'=>[0.15,0.85,0.2,0.6], 'yrev'=>'units:Pa', 'window'=>[-90,90,1e3,1e1]
GGraph.set_fig 'itr'=>2, 'viewport'=>[0.15,0.85,0.2,0.6], 'yrev'=>'units:Pa', 'window'=>[-90,90,1e3,plevtop]
GGraph.set_axes('xlabelint'=>30)


if vname == 'DustDensScledOptDep'
  lev = [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17]
  pat = [10999,15999,20999,25999,30999,35999,40999,45999,50999,55999,60999,65999,70999,75999,80999,85999,90999,95999]
else
  lev = [110,120,130,140,150,160,170,180,190,200,210,220,230,240]
  pat = [10999,15999,20999,25999,30999,35999,40999,50999,60999,65999,70999,75999,80999,90999,95999]
end



GGraph.tone( gphys_disp, true, 'lev'=>lev, 'pat'=>pat, 'annotate'=>false )

#GGraph.tone( gphys_disp, true, 'annotate'=>false, 'exchange'=>true )

GGraph.color_bar

title = 'Ls=' + lss.to_s + '-' + lse.to_s
DCL::uxmttl('T', ' ', 1.0)
DCL::uxmttl('T', title, -1.0)


DCL.grcls

